Memory information
Implementation internals » Information gathering

Memory information functions. More...

## Functions

uint64_t | kcore_mem (hd_data_t *hd_data)
uint64_t | klog_mem (hd_data_t *hd_data, uint64_t *alt)
uint64_t | klog_mem2 (hd_data_t *hd_data)
uint64_t | meminfo_mem (hd_data_t *hd_data)
uint64_t | meminfo_xen (hd_data_t *hd_data)
void | hd_scan_memory (hd_data_t *hd_data)

## Detailed Description

Memory information functions.

## Function Documentation

## hd_scan_memory()

void hd_scan_memory | ( | hd_data_t * | hd_data | ) |

References acc_rw, res_mem_t::access, add_hd_entry(), add_res_entry(), s_hd_t::base_class, bc_internal, res_mem_t::enabled, hd_data, hd_probe_feature(), hd_id_t::id, kcore_mem(), klog_mem(), klog_mem2(), u_hd_res_t::mem, meminfo_mem(), meminfo_xen(), mod_memory, new_mem(), u_hd_res_t::phys_mem, pr_memory, PROGRESS, res_mem_t::range, res_phys_mem_t::range, remove_hd_entries(), s_hd_t::res, res_mem, res_phys_mem, sc_int_main_mem, s_hd_t::sub_class, res_mem_t::type, and res_phys_mem_t::type.

Referenced by hd_scan_no_hal().

## kcore_mem()

uint64_t kcore_mem | ( | hd_data_t * | hd_data | ) |

References ADD2LOG, hd_data, and PROC_KCORE.

Referenced by hd_scan_memory().

## klog_mem()

uint64_t klog_mem | ( | hd_data_t * | hd_data,
|  | uint64_t * | alt )

References ADD2LOG, hd_data, s_str_list_t::next, read_klog(), and s_str_list_t::str.

Referenced by hd_scan_memory().

## klog_mem2()

uint64_t klog_mem2 | ( | hd_data_t * | hd_data | ) |

References ADD2LOG, hd_data, s_str_list_t::next, read_klog(), and s_str_list_t::str.

Referenced by hd_scan_memory().

## meminfo_mem()

uint64_t meminfo_mem | ( | hd_data_t * | hd_data | ) |

References ADD2LOG, free_str_list(), hd_data, PROC_MEMINFO, read_file(), and s_str_list_t::str.

Referenced by hd_scan_memory().

## meminfo_xen()

uint64_t meminfo_xen | ( | hd_data_t * | hd_data | ) |

References ADD2LOG, free_str_list(), hd_data, PROC_XEN_BALLOON, read_file(), and s_str_list_t::str.

Referenced by hd_scan_memory().